package com.ekexiu.portal.dao;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.operator.PageSelect;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectOne;
import org.jfw.apt.orm.annotation.dao.param.Like;
import org.jfw.util.PageQueryResult;

import com.ekexiu.portal.po.DictMeta;

@DAO
public interface DictMetaDao {
	@PageSelect
	PageQueryResult<DictMeta> query(Connection con, @Nullable @Like String code, @Nullable @Like String name,
			Boolean tree,Boolean readonly, int pageSize, int pageNo) throws SQLException;
	@SelectList
	List<DictMeta> query(Connection con)throws SQLException;
	@SelectOne
	@Nullable
	DictMeta query(Connection con,String code)throws SQLException;

}
