package com.ekexiu.portal.dao;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.List;

import org.jfw.apt.orm.annotation.dao.DAO;
import org.jfw.apt.orm.annotation.dao.method.From;
import org.jfw.apt.orm.annotation.dao.method.operator.DeleteWith;
import org.jfw.apt.orm.annotation.dao.method.operator.Insert;
import org.jfw.apt.orm.annotation.dao.method.operator.SelectList;

import com.ekexiu.portal.po.ResearchAreaLog;

@DAO
public interface ResearchAreaLogDao {
	
	@Insert
	int insert(Connection con,ResearchAreaLog log) throws SQLException;
	
	@DeleteWith
	@From(ResearchAreaLog.class)
	int delete(Connection con,String professorId,String opreteProfessorId,String caption)throws SQLException;
	
	@DeleteWith
	@From(ResearchAreaLog.class)
	int delete(Connection con,String professorId,String caption)throws SQLException;
	@DeleteWith
	@From(ResearchAreaLog.class)
	int delete(Connection con,String professorId)throws SQLException;
	
	@SelectList
	List<ResearchAreaLog> query(Connection con,String professorId)throws SQLException;

}
